<?php

namespace Factory;

use Zeedhi\DevOps\Model\Configurationmanager\Entities;

class DeployRepository {
    public function save(Entities\DeployRepository $deployRepository = null, Entities\Deploy $deploy, $repositoryId, $fileNumber) {
        if(empty($deployRepository)) {
            $deployRepository = new Entities\DeployRepository();
        }

        $deployRepository->setDeploy($deploy);
        $deployRepository->setExternalRepositoryId($repositoryId);
        $deployRepository->setInitialMigrationNumber($fileNumber);

        return $deployRepository;
    }
} 