<?php
/**
 * Created by PhpStorm.
 * User: wanderleijunior
 * Date: 10/07/19
 * Time: 10:29
 */

namespace Controller;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Row;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;

class Contrato
{
    protected $dataSourceName = 'fct_contrato_widget';

    public function find(Request\Filter $request, Response $response){
        try{
            $nrorg = $this->environment->getNrOrg();
            $idUtilizaOper = $this->parametrogeral->getIdUtilizaHierarquiaOper($nrorg);
            if($idUtilizaOper == 'N')
                $this->dataSourceName = 'fct_contrato';
            else
                $request->getFilterCriteria()->addCondition("CDOPERADORLOGADO", "=", $this->environment->getCdOperador());

            parent::find($request, $response);
            $this->dataSourceName = 'fct_contrato_widget';
        } catch(\Exception $e){
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
}